[Overview][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'LCLProc' (#lcl)

# KeyAndShiftStateToKeyString

Converts the specified key code and shift modifier to their representation as a String.

## Declaration

Source position: lclproc.pas line 87

`function KeyAndShiftStateToKeyString(`
`Key: Word;`
`ShiftState: TShiftState`
`):string;`

## Arguments

`Key` |  | Key code converted in the routine.
`ShiftState` |  | Shift, Ctrl, Alt modifier converted in the routine.

## Function result

String representation for the specified value; i. e. 'Ctrl+Home'.